Bug 1270957 - Undercloud install fails on Error: Could not find class ::ironic::inspector for instack on node instack
Undercloud install fails on Error: Could not find class ::ironic::inspector f...
Status: CLOSED CURRENTRELEASE
Product: RDO
Classification: Community
Component: openstack-puppet-modules (Show other bugs)
Liberty
All Linux
unspecified Severity high
: GA
: Liberty
Assigned To: Lukas Bezdicka
yeylon@redhat.com
: Automation
: 1270956 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-12 14:27 EDT by John Trowbridge
Modified: 2016-04-18 02:47 EDT (History)
5 users (show)

See Also:
Fixed In Version: openstack-puppet-modules-7.0.0-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-30 19:00:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Trowbridge 2015-10-12 14:27:02 EDT
Description of problem:
Installation of the undercloud fails during the puppet configuration because the ironic-inspector class is not found.

Version-Release number of selected component (if applicable):
openstack-puppet-modules.noarch 0:2015.2-dev.bf329c9115ea08c3f1cfc254fba058777fedd3c4_8eef2746

How reproducible:
100%

Steps to Reproduce:
1. follow docs up to set up the environment
2. run `openstack undercloud install`

Actual results:
Error: Could not find class ::ironic::inspector for instack on node instack


Expected results:
Undercloud installs successfully

Additional info:
This is caused by a change in instack-undercloud to configure ironic-inspector via puppet. The corresponding puppet change is merged upstream in puppet-ironic(https://github.com/openstack/puppet-ironic/commit/0358830fa758847788e1b5aa0452cfb5725135ea) but is not yet in the openstack-puppet-modules rpm. The workaround is to use puppet modules from source by exporting the following before running the undercloud install:
    export DIB_INSTALLTYPE_puppet_modules=source
Comment 1 Marius Cornea 2015-10-12 14:33:47 EDT
*** Bug 1270956 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.